=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt -DSource/Projects/NonWindows

# --no-parallel

override_dh_auto_install:
	dh_auto_install -- \
	prefix=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_installchangelogs:
	dh_installchangelogs debian/versionhistory.txt

debian/versionhistory.txt:
ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
	curl -sL  https://www.monkeysaudio.com/versionhistory.html | html2text | sed -n '12,5000p' > debian/versionhistory.txt
endif

override_dh_clean:
	dh_clean Makefile Shared/64/MACDll.dll Shared/32/MACDll.dll
