=== debian/watch ===
version=4

opts=dversionmangle=s/\.// \
https://monkeysaudio.com/files/ \
MAC_SDK_(.*)@ARCHIVE_EXT@
