=== debian/changelog ===
monkeys-audio-dmo (10.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Jun 2023 08:36:07 +0200

monkeys-audio-dmo (10.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Jun 2023 07:41:09 +0200

monkeys-audio-dmo (10.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 31 May 2023 17:25:50 +0200

monkeys-audio-dmo (10.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 May 2023 07:21:21 +0200

monkeys-audio-dmo (10.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 May 2023 17:06:38 +0200

monkeys-audio-dmo (10.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 May 2023 07:01:59 +0200

monkeys-audio-dmo (10.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Apr 2023 08:40:42 +0200

monkeys-audio-dmo (10.09-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Apr 2023 18:13:21 +0200

monkeys-audio-dmo (10.07-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Mar 2023 16:41:24 +0100

monkeys-audio-dmo (10.06-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Mar 2023 01:32:44 +0100

monkeys-audio-dmo (10.03-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Mar 2023 01:53:23 +0100

monkeys-audio-dmo (10.00-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Mar 2023 17:42:50 +0100

monkeys-audio-dmo (9.30-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Mar 2023 08:41:20 +0100

monkeys-audio-dmo (9.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 Feb 2023 20:15:18 +0100

monkeys-audio-dmo (9.19-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 22 Feb 2023 16:47:26 +0100

monkeys-audio-dmo (9.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Feb 2023 01:31:12 +0100

monkeys-audio-dmo (9.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Feb 2023 18:15:53 +0100

monkeys-audio-dmo (9.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Feb 2023 23:51:16 +0100

monkeys-audio-dmo (9.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Feb 2023 16:42:55 +0100

monkeys-audio-dmo (9.04-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 12 Dec 2022 09:11:02 +0100

monkeys-audio-dmo (9.02-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 05 Dec 2022 13:31:19 +0100

monkeys-audio-dmo (9.01-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Dec 2022 08:35:14 +0100

monkeys-audio-dmo (9.00-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Dec 2022 07:45:17 +0100

monkeys-audio-dmo (8.99-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Nov 2022 19:33:50 +0100

monkeys-audio-dmo (8.98-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Nov 2022 15:43:14 +0100

monkeys-audio-dmo (8.97-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Nov 2022 08:51:12 +0100

monkeys-audio-dmo (8.95-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Oct 2022 08:57:07 +0200

monkeys-audio-dmo (8.92-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Oct 2022 08:38:12 +0200

monkeys-audio-dmo (8.90-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 30 Sep 2022 08:49:55 +0200

monkeys-audio-dmo (8.81-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Sep 2022 17:56:13 +0200

monkeys-audio-dmo (8.68-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 09 Sep 2022 00:42:33 +0200

monkeys-audio-dmo (8.67-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Sep 2022 08:54:12 +0200

monkeys-audio-dmo (8.65-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Sep 2022 08:48:04 +0200

monkeys-audio-dmo (8.64-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Sep 2022 08:46:24 +0200

monkeys-audio-dmo (8.56-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Aug 2022 07:55:52 +0200


