=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://monkeysaudio.com/
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), quilt, curl
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, quilt, ninja-build
 
-Package: libmac8
+Package: libmac10
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -30,7 +31,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmac8 (= ${binary:Version}), ${misc:Depends}
+Depends: libmac10 (= ${binary:Version}), ${misc:Depends}
 Description: monkey's audio lossless audio codec - devel
  Monkey's Audio is a highly efficient and popular lossless audio codec.
  .
