=== debian/watch ===
version=4

opts=dversionmangle=s/\.// \
https://monkeysaudio.com/files/ \
MAC_(.*)_SDK@ARCHIVE_EXT@
