## monkeys-audio-dmo 11.20

=== debian/changelog ===
monkeys-audio-dmo (11.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Jul 2025 06:37:50 +0200

monkeys-audio-dmo (11.19-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 Jun 2025 16:55:50 +0200

monkeys-audio-dmo (11.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Jun 2025 08:35:35 +0200

monkeys-audio-dmo (11.17-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Jun 2025 17:32:30 +0200

monkeys-audio-dmo (11.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 May 2025 07:33:51 +0200

monkeys-audio-dmo (11.14-dmo2) unstable; urgency=medium

  * Update upstream changelog

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 May 2025 08:43:25 +0200

monkeys-audio-dmo (11.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 May 2025 09:31:38 +0200

monkeys-audio-dmo (11.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Apr 2025 07:40:16 +0200

monkeys-audio-dmo (11.09-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Apr 2025 08:01:56 +0200

monkeys-audio-dmo (11.08-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Apr 2025 10:33:14 +0200

monkeys-audio-dmo (11.07-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Apr 2025 02:01:13 +0200

monkeys-audio-dmo (11.05-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Apr 2025 15:07:40 +0200

monkeys-audio-dmo (11.04-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove armel upstream patch

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Apr 2025 08:36:49 +0200

monkeys-audio-dmo (11.03.1-dmo2) unstable; urgency=medium

  * Add upstream patch to fix armel build

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Apr 2025 08:00:20 +0200

monkeys-audio-dmo (11.03.1-dmo1) unstable; urgency=medium

  * Update upstream tarball with RISCV fixes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Apr 2025 14:04:54 +0200

monkeys-audio-dmo (11.03-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Apr 2025 23:59:38 +0200

monkeys-audio-dmo (11.02-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Apr 2025 08:01:57 +0200

monkeys-audio-dmo (11.01-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 31 Mar 2025 17:37:09 +0200

monkeys-audio-dmo (10.96-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Feb 2025 08:31:35 +0100

monkeys-audio-dmo (10.94-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Feb 2025 12:07:10 +0100

monkeys-audio-dmo (10.93-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Feb 2025 08:37:02 +0100

monkeys-audio-dmo (10.92-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Jan 2025 09:16:57 +0100

monkeys-audio-dmo (10.91-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Jan 2025 15:58:17 +0100

monkeys-audio-dmo (10.87-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Jan 2025 09:48:27 +0100

monkeys-audio-dmo (10.86-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Dec 2024 09:16:04 +0100

monkeys-audio-dmo (10.85-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Dec 2024 16:16:12 +0100

monkeys-audio-dmo (10.84-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Dec 2024 08:52:51 +0100

monkeys-audio-dmo (10.83-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Dec 2024 15:34:17 +0100

monkeys-audio-dmo (10.82-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Nov 2024 23:36:01 +0100

monkeys-audio-dmo (10.80-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Nov 2024 19:19:48 +0100

monkeys-audio-dmo (10.77-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Oct 2024 01:06:16 +0200

monkeys-audio-dmo (10.76-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Sep 2024 08:37:24 +0200

monkeys-audio-dmo (10.75-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Aug 2024 17:02:59 +0200

monkeys-audio-dmo (10.74-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Jun 2024 18:07:48 +0200

monkeys-audio-dmo (10.72-dmo1) unstable; urgency=medium

  * New upstream release.


