=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://monkeysaudio.com/
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), cmake, quilt, ninja-build
 
-Package: libmac10
+Package: libmac13
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: monkey's audio lossless audio codec - library
  Monkey's Audio is a highly efficient and popular lossless audio codec.
  .
@@ -31,7 +30,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmac10 (= ${binary:Version}), ${misc:Depends}
+Depends: libmac13 (= ${binary:Version}), ${misc:Depends},
 Description: monkey's audio lossless audio codec - devel
  Monkey's Audio is a highly efficient and popular lossless audio codec.
  .
@@ -48,7 +47,7 @@
 
 Package: monkeys-audio
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: monkey's audio lossless audio codec - binary
  Monkey's Audio is a highly efficient and popular lossless audio codec.
  .
