=== debian/watch ===
version=4

opts="repack,uversionmangle=s/11/11\./;s/10[0-9]/10\./" \
https://monkeysaudio.com/developers.html \
https://monkeysaudio.com/files/MAC_@ANY_VERSION@_SDK@ARCHIVE_EXT@
