## monkeys-audio-dmo 11.57

=== debian/changelog ===
monkeys-audio-dmo (11.57-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Oct 2025 08:37:20 +0200

monkeys-audio-dmo (11.53-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Sep 2025 02:13:13 +0200

monkeys-audio-dmo (11.43-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Sep 2025 21:18:29 +0200

monkeys-audio-dmo (11.42-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Sep 2025 07:41:03 +0200

monkeys-audio-dmo (11.40-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Aug 2025 15:28:02 +0200

monkeys-audio-dmo (11.37-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Aug 2025 23:40:29 +0200

monkeys-audio-dmo (11.33-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Aug 2025 17:35:02 +0200
