## monkeys-audio-dmo 11.63

=== debian/changelog ===
monkeys-audio-dmo (11.63-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Oct 2025 17:04:05 +0200
