## monkeys-audio-dmo 11.65

=== debian/changelog ===
monkeys-audio-dmo (11.65-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Oct 2025 11:37:55 +0200
