=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), cmake, quilt, ninja-build
 
-Package: libmac13
+Package: libmac14
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -30,7 +30,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmac13 (= ${binary:Version}), ${misc:Depends},
+Depends: libmac14 (= ${binary:Version}), ${misc:Depends},
 Description: monkey's audio lossless audio codec - devel
  Monkey's Audio is a highly efficient and popular lossless audio codec.
  .
