## monkeys-audio-dmo 11.70

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.6)
 project("Monkey's Audio")
 
 set(CMAKE_CXX_STANDARD 98)
@@ -10,7 +10,7 @@
 # Determine interface version
 #
 file(READ Shared/Version.h VERSION_INFO)
-string(REGEX MATCH "MAC_INTERFACE_VERSION[ \t]+([0-9]+)" _ ${VERSION_INFO})
+string(REGEX MATCH "APE_INTERFACE_VERSION[ \t]+([0-9]+)" _ ${VERSION_INFO})
 set(MAC_SOVERSION ${CMAKE_MATCH_1})
 
 #
@@ -21,18 +21,22 @@
     #error cmake_ARCH x86
 #elif defined __x86_64__ || defined _M_AMD64
     #error cmake_ARCH x86_64
-#elif defined __arm__ || defined _M_ARM
+#elif defined __arm__ && (!defined __ARM_ARCH || __ARM_ARCH < 7 || !defined __ARM_FP)
     #error cmake_ARCH arm
+#elif (defined __arm__ && defined __ARM_ARCH && __ARM_ARCH >= 7 && defined __ARM_FP) || defined _M_ARM
+    #error cmake_ARCH armhf
 #elif defined __aarch64__ || defined _M_ARM64
     #error cmake_ARCH aarch64
 #elif defined __mips__
     #error cmake_ARCH mips
-#elif defined __ppc__
+#elif defined __ppc64__ || defined __powerpc64__
+    #error cmake_ARCH ppc64
+#elif defined __ppc__ || defined __powerpc__
     #error cmake_ARCH ppc
-#elif defined __ppc64__
-    #error cmake_ARCH ppc64
-#elif defined __riscv
+#elif defined __riscv && __riscv_xlen == 32
     #error cmake_ARCH riscv
+#elif defined __riscv && __riscv_xlen == 64
+    #error cmake_ARCH riscv64
 #else
     #error cmake_ARCH unknown
 #endif
@@ -70,7 +74,7 @@
         Shared/All.h
         Shared/APETag.h
         Shared/CharacterHelper.h
-        Shared/IO.h
+        Shared/IAPEIO.h
         Shared/MACDll.h
         Shared/MACLib.h
         Shared/NoWindows.h
@@ -88,14 +92,17 @@
         Source/Shared/CRC.h
         Source/Shared/GlobalFunctions.h
         Source/Shared/ID3Genres.h
-        Source/Shared/IO.h
+        Source/Shared/IAPEIO.h
         Source/Shared/MACDll.h
+        Source/Shared/MemoryIO.h
         Source/Shared/MFCGlobals.h
         Source/Shared/MFCWarnings.h
         Source/Shared/NoWindows.h
         Source/Shared/RollBuffer.h
+        Source/Shared/Semaphore.h
         Source/Shared/SmartPtr.h
         Source/Shared/StdLibFileIO.h
+        Source/Shared/Thread.h
         Source/Shared/Version.h
         Source/Shared/Warnings.h
         Source/Shared/WholeFileIO.h
@@ -107,6 +114,7 @@
         Source/MACLib/APECompressCore.h
         Source/MACLib/APECompressCreate.h
         Source/MACLib/APEDecompress.h
+        Source/MACLib/APEDecompressCore.h
         Source/MACLib/APEHeader.h
         Source/MACLib/APEInfo.h
         Source/MACLib/APELink.h
@@ -125,11 +133,11 @@
         Source/MACLib/UnBitArray.h
         Source/MACLib/UnBitArrayBase.h
         Source/MACLib/WAVInputSource.h
-        Source/MACLib/Old/Anti-Predictor.h
-        Source/MACLib/Old/APEDecompressCore.h
+        Source/MACLib/Old/AntiPredictorOld.h
+        Source/MACLib/Old/APEDecompressCoreOld.h
         Source/MACLib/Old/APEDecompressOld.h
         Source/MACLib/Old/UnBitArrayOld.h
-        Source/MACLib/Old/UnMAC.h)
+        Source/MACLib/Old/UnMACOld.h)
 
 if(WIN32)
    set(MAC_OS_SRC
@@ -146,6 +154,9 @@
         Source/Shared/CPUFeatures.cpp
         Source/Shared/CRC.cpp
         Source/Shared/GlobalFunctions.cpp
+        Source/Shared/MemoryIO.cpp
+        Source/Shared/Semaphore.cpp
+        Source/Shared/Thread.cpp
         Source/Shared/WholeFileIO.cpp
         ${MAC_OS_SRC})
 
@@ -155,6 +166,7 @@
         Source/MACLib/APECompressCore.cpp
         Source/MACLib/APECompressCreate.cpp
         Source/MACLib/APEDecompress.cpp
+        Source/MACLib/APEDecompressCore.cpp
         Source/MACLib/APEHeader.cpp
         Source/MACLib/APEInfo.cpp
         Source/MACLib/APELink.cpp
@@ -171,15 +183,15 @@
         Source/MACLib/UnBitArray.cpp
         Source/MACLib/UnBitArrayBase.cpp
         Source/MACLib/WAVInputSource.cpp
-        Source/MACLib/Old/Anti-Predictor.cpp
-        Source/MACLib/Old/AntiPredictorExtraHigh.cpp
-        Source/MACLib/Old/AntiPredictorFast.cpp
-        Source/MACLib/Old/AntiPredictorHigh.cpp
-        Source/MACLib/Old/AntiPredictorNormal.cpp
-        Source/MACLib/Old/APEDecompressCore.cpp
+        Source/MACLib/Old/AntiPredictorOld.cpp
+        Source/MACLib/Old/AntiPredictorExtraHighOld.cpp
+        Source/MACLib/Old/AntiPredictorFastOld.cpp
+        Source/MACLib/Old/AntiPredictorHighOld.cpp
+        Source/MACLib/Old/AntiPredictorNormalOld.cpp
+        Source/MACLib/Old/APEDecompressCoreOld.cpp
         Source/MACLib/Old/APEDecompressOld.cpp
         Source/MACLib/Old/UnBitArrayOld.cpp
-        Source/MACLib/Old/UnMAC.cpp)
+        Source/MACLib/Old/UnMACOld.cpp)
 
 if(${ARCHITECTURE} STREQUAL x86 OR ${ARCHITECTURE} STREQUAL x86_64)
     set(MAC_LIBRARY_SOURCE_FILES
@@ -190,10 +202,22 @@
         Source/MACLib/NNFilterSSE4.1.cpp)
 endif()
 
-if(${ARCHITECTURE} STREQUAL arm OR ${ARCHITECTURE} STREQUAL aarch64)
+if(${ARCHITECTURE} STREQUAL arm OR ${ARCHITECTURE} STREQUAL armhf OR ${ARCHITECTURE} STREQUAL aarch64)
     set(MAC_LIBRARY_SOURCE_FILES
         ${MAC_LIBRARY_SOURCE_FILES}
         Source/MACLib/NNFilterNeon.cpp)
+endif()
+
+if(${ARCHITECTURE} STREQUAL riscv OR ${ARCHITECTURE} STREQUAL riscv64)
+    set(MAC_LIBRARY_SOURCE_FILES
+        ${MAC_LIBRARY_SOURCE_FILES}
+        Source/MACLib/NNFilterRVV.cpp)
+endif()
+
+if(${ARCHITECTURE} STREQUAL ppc OR ${ARCHITECTURE} STREQUAL ppc64)
+    set(MAC_LIBRARY_SOURCE_FILES
+        ${MAC_LIBRARY_SOURCE_FILES}
+        Source/MACLib/NNFilterAltiVec.cpp)
 endif()
 
 #
@@ -252,6 +276,24 @@
     endif()
 endif()
 
+if(${ARCHITECTURE} STREQUAL armhf)
+    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
+        set_source_files_properties(Source/MACLib/NNFilterNeon.cpp PROPERTIES COMPILE_FLAGS "-march=armv7-a -mfpu=neon -mfloat-abi=hard")
+    endif()
+endif()
+
+if(${ARCHITECTURE} STREQUAL riscv)
+    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
+        set_source_files_properties(Source/MACLib/NNFilterRVV.cpp PROPERTIES COMPILE_FLAGS "-march=rv32gcv")
+    endif()
+endif()
+
+if(${ARCHITECTURE} STREQUAL riscv64)
+    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
+        set_source_files_properties(Source/MACLib/NNFilterRVV.cpp PROPERTIES COMPILE_FLAGS "-march=rv64gcv")
+    endif()
+endif()
+
 #
 # Set include folders
 #
@@ -306,13 +348,3 @@
 
 install(FILES ${MAC_PUBLIC_HEADERS} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/MAC")
 
-if(BUILD_SHARED)
-    install(TARGETS MAC LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")
-else()
-    install(TARGETS MAC ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}")
-endif()
-
-if(BUILD_UTIL)
-    install(TARGETS macutil RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
-endif()
-
