=== debian/changelog ===
monkeys-audio-dmo (11.70-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Oct 2025 15:06:13 +0100
