## monkeys-audio-dmo 11.71

=== debian/changelog ===
monkeys-audio-dmo (11.71-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 Oct 2025 15:44:38 +0100
