## monkeys-audio-dmo 11.80

=== debian/changelog ===
monkeys-audio-dmo (11.80-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Nov 2025 15:05:44 +0100
